org.mariadb.jdbc.internal.mysql.listener

## Interface Listener

All Known Implementing Classes:
  AbstractMastersListener, AbstractMastersSlavesListener, AuroraListener, MastersFailoverListener, MastersSlavesListener

    public interface Listener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `foundActiveMaster(Protocol protocol)`
`Map<HostAddress,Long>` `getBlacklist()`
`JDBCUrl` `getJdbcUrl()`
`FailoverProxy` `getProxy()`
`int` `getRetriesAllDown()`
`HandleErrorResult` `handleFailover(Method method, Object[] args)`
`void` `initializeConnection()`
`Object` `invoke(Method method, Object[] args)`
`boolean` `isAutoReconnect()`
`boolean` `isClosed()`
`boolean` `isExplicitClosed()`
`boolean` `isReadOnly()`
`void` `preClose()`
`void` `preExecute()`
`HandleErrorResult` `primaryFail(Method method, Object[] args)`
`void` `reconnect()`
`void` `reconnectFailedConnection(SearchFilter filter)`
`void` `setExplicitClosed(boolean explicitClosed)`
`void` `setProxy(FailoverProxy proxy)`
`boolean` `shouldReconnect()`
`void` `switchReadOnlyConnection(Boolean readonly)`
`void` `syncConnection(Protocol from, Protocol to)`
`void` `throwFailoverMessage(QueryException queryException, boolean reconnected)`

### Method Detail

#### getProxy

    FailoverProxy getProxy()

#### setProxy

    void setProxy(FailoverProxy proxy)

#### initializeConnection

    void initializeConnection()
                       throws QueryException

Throws:
  `QueryException`

#### preExecute

    void preExecute()
             throws QueryException

Throws:
  `QueryException`

#### preClose

    void preClose()
           throws SQLException

Throws:
  `SQLException`

#### shouldReconnect

    boolean shouldReconnect()

#### reconnectFailedConnection

    void reconnectFailedConnection(SearchFilter filter)
                            throws QueryException

Throws:
  `QueryException`

#### switchReadOnlyConnection

    void switchReadOnlyConnection(Boolean readonly)
                           throws QueryException

Throws:
  `QueryException`

#### primaryFail

    HandleErrorResult primaryFail(Method method,
                                  Object[] args)
                           throws Throwable

Throws:
  `Throwable`

#### invoke

    Object invoke(Method method,
                  Object[] args)
           throws Throwable

Throws:
  `Throwable`

#### handleFailover

    HandleErrorResult handleFailover(Method method,
                                     Object[] args)
                              throws Throwable

Throws:
  `Throwable`

#### foundActiveMaster

    void foundActiveMaster(Protocol protocol)
                    throws QueryException

Throws:
  `QueryException`

#### getBlacklist

    Map<HostAddress,Long> getBlacklist()

#### syncConnection

    void syncConnection(Protocol from,
                        Protocol to)
                 throws QueryException

Throws:
  `QueryException`

#### getJdbcUrl

    JDBCUrl getJdbcUrl()

#### throwFailoverMessage

    void throwFailoverMessage(QueryException queryException,
                              boolean reconnected)
                       throws QueryException

Throws:
  `QueryException`

#### isAutoReconnect

    boolean isAutoReconnect()

#### getRetriesAllDown

    int getRetriesAllDown()

#### isExplicitClosed

    boolean isExplicitClosed()

#### setExplicitClosed

    void setExplicitClosed(boolean explicitClosed)

#### reconnect

    void reconnect()
            throws QueryException

Throws:
  `QueryException`

#### isReadOnly

    boolean isReadOnly()

#### isClosed

    boolean isClosed()